   /*
    * @(#) MultiImageLoaderBeanInfo.java 1.0 2000/21/1
    * Copyright (c) 2000 Lawrence Rodrigues
    */

  package com.vistech.listselect;
  import java.io.*;
  import java.awt.*;
  import java.awt.event.*;

  import java.util.*;
  import java.beans.*;
  import com.vistech.events.*;
  import java.lang.reflect.*;

  /** FileBrowserBeanInfo Class
    * @version 1.0  21 Jan 2000
    * @author Lawrence Rodrigues
    **/

  public class FileBrowserBeanInfo extends SimpleBeanInfo {
     protected Class browserClass = null;
     public FileBrowserBeanInfo(){
        browserClass =  com.vistech.listselect.FileBrowser.class;
     }

     public Image getIcon(int iconType){
         return loadImage("listselct.gif");
     }

     /** Constructs method descriptors for all the public methods in the
       * FileBrowser class.
       * @return an array of Method descriptors.
       */
     public MethodDescriptor[] getMethodDescriptors(){
        Method loaderMtds[] = com.vistech.listselect.FileBrowser.class.getDeclaredMethods();
        if(loaderMtds == null) System.out.println("null methods");
        MethodDescriptor mgPd[] = new MethodDescriptor[loaderMtds.length];
        for(int i= 0;i<loaderMtds.length;i++){
            mgPd[i] = new MethodDescriptor(loaderMtds[i]);
        }
        return mgPd;
     }

     public BeanDescriptor getBeanDescriptor(){
        BeanDescriptor bd = new BeanDescriptor(browserClass);
        bd.setDisplayName("File Browser");
        return bd;
     }
  }


